aboutsummaryrefslogtreecommitdiff
path: root/bash
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2019-06-02 01:18:00 -0300
committerEuAndreh <eu@euandre.org>2019-06-02 01:18:00 -0300
commit01696213cce65209efff7d22b360bc0d06a0acc7 (patch)
tree80b192a7c7b0438227080776e295fc177178ae17 /bash
parentCheck if folder exists before creating nested symlink (diff)
downloaddotfiles-01696213cce65209efff7d22b360bc0d06a0acc7.tar.gz
dotfiles-01696213cce65209efff7d22b360bc0d06a0acc7.tar.xz
Test if rust tooling is configured before using it
Diffstat (limited to 'bash')
-rw-r--r--bash/env.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/bash/env.sh b/bash/env.sh
index d86a89b..41b8975 100644
--- a/bash/env.sh
+++ b/bash/env.sh
@@ -90,6 +90,8 @@ export PATH="$GOPATH/bin:$PATH"
#
# Rust
#
+
+rustc --print sysroot &> /dev/null || (rustup install stable && rustup default stable)
export PATH="$HOME/.cargo/bin:$PATH"
RUST_SRC_PATH="$(rustc --print sysroot)/lib/rustlib/src/rust/src"
export RUST_SRC_PATH